## org.eclipse.emf.edit.tree
Interface TreePackage

All Superinterfaces:
  EModelElement, ENamedElement, EObject, EPackage, Notifier

All Known Implementing Classes:
  TreePackageImpl

    public interface TreePackage

extends EPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each literal of each enum

See Also:
  `TreeFactory`

Nested Class Summary
`static interface` `TreePackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`EPackage.Descriptor, EPackage.Registry`

Field Summary
`static TreePackage` `eINSTANCE` The singleton instance of the package.
`static java.lang.String` `eNAME` The package name.
`static java.lang.String` `eNS_PREFIX` The package namespace name.
`static java.lang.String` `eNS_URI` The package namespace URI.
`static int` `TREE_NODE` The meta object id for the '`Node`' class
`static int` `TREE_NODE__CHILDREN` The feature id for the 'Children' containment reference list
`static int` `TREE_NODE__DATA` The feature id for the 'Data' reference
`static int` `TREE_NODE__PARENT` The feature id for the 'Parent' container reference
`static int` `TREE_NODE_FEATURE_COUNT` The number of structural features of the 'Node' class

Method Summary
`TreeFactory` `getTreeFactory()` Returns the factory that creates the instances of the model
`EReference` `getTreeNode_Children()` Returns the meta object for the containment reference list '`Children`'
`EReference` `getTreeNode_Data()` Returns the meta object for the reference '`Data`'
`EReference` `getTreeNode_Parent()` Returns the meta object for the container reference '`Parent`'
`EClass` `getTreeNode()` Returns the meta object for class '`Node`'

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eNAME

    static final java.lang.String eNAME

  The package name.

  See Also:
    Constant Field Values

### eNS_URI

    static final java.lang.String eNS_URI

  The package namespace URI.

  See Also:
    Constant Field Values

### eNS_PREFIX

    static final java.lang.String eNS_PREFIX

  The package namespace name.

  See Also:
    Constant Field Values

### eINSTANCE

    static final TreePackage eINSTANCE

  The singleton instance of the package.

### TREE_NODE

    static final int TREE_NODE

  The meta object id for the '`Node`' class.

  See Also:
    `TreeNodeImpl`, `TreePackageImpl.getTreeNode()`, Constant Field Values

### TREE_NODE__PARENT

    static final int TREE_NODE__PARENT

  The feature id for the 'Parent' container reference.

  See Also:
    Constant Field Values

### TREE_NODE__CHILDREN

    static final int TREE_NODE__CHILDREN

  The feature id for the 'Children' containment reference list.

  See Also:
    Constant Field Values

### TREE_NODE__DATA

    static final int TREE_NODE__DATA

  The feature id for the 'Data' reference.

  See Also:
    Constant Field Values

### TREE_NODE_FEATURE_COUNT

    static final int TREE_NODE_FEATURE_COUNT

  The number of structural features of the 'Node' class.

  See Also:
    Constant Field Values

Method Detail

### getTreeNode

    EClass getTreeNode()

  Returns the meta object for class '`Node`'.

  Returns:
    the meta object for class 'Node'.
  See Also:
    `TreeNode`

### getTreeNode_Parent

    EReference getTreeNode_Parent()

  Returns the meta object for the container reference '`Parent`'.

  Returns:
    the meta object for the container reference 'Parent'.
  See Also:
    `TreeNode.getParent()`, `getTreeNode()`

### getTreeNode_Children

    EReference getTreeNode_Children()

  Returns the meta object for the containment reference list '`Children`'.

  Returns:
    the meta object for the containment reference list 'Children'.
  See Also:
    `TreeNode.getChildren()`, `getTreeNode()`

### getTreeNode_Data

    EReference getTreeNode_Data()

  Returns the meta object for the reference '`Data`'.

  Returns:
    the meta object for the reference 'Data'.
  See Also:
    `TreeNode.getData()`, `getTreeNode()`

### getTreeFactory

    TreeFactory getTreeFactory()

  Returns the factory that creates the instances of the model.

  Returns:
    the factory that creates the instances of the model.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.